const app = require('./lib/exports')
// circleradio
app.circleradio(12) // ==> 452.3893421169302
// compare
app.compare(12, 12) // ==> true
app.compare(213, 212 + 1) // ==> true
app.compare(213, 132) // ==> false
app.compare(211 + 2, 212 + 1) // ==> true
// elevate
app.elevate(5, 2) // ==> 25
app.elevate(523, 223) // ==> Infinity
app.elevate(-523, 223) // ==> -Infinity
app.elevate(-2, +4) // ==> 16
// max
app.max(5, 2, 10, 14, 65, 13012, 1, 0) // ==> 13012
app.max(0, 0, 0, 0) // ==> 0
app.max(-16, -15, -14, -13) // ==> -13
// min
app.min(5, 2, 10, 14, 65, 13012, 1, 0) // ==> 0
app.min(0, 0, 0, 0) // ==> 0
app.min(-16, -15, -14, -13) // ==> -16
// percentage
app.percentage(100, 30) // ==> 30
app.percentage(30, 100) // ==> 30
// random
app.random(1, 2) // ==> 2/1
app.random(2, 1) // ==> 2/1
// review
app.review('12.7 cm to inch') // ==> 5 inch
app.review('sin(45 deg) ^ 2') // ==> 0.5
// root2
app.root2(64) // ==> 8
app.root2(-64) // ==> NaN
// root3
app.root3(64) // ==> 4
app.root3(-64) // ==> -4
// round
app.round(123.99) // ==> 124
// verify
app.verify(-1.1);                // ==> true
app.verify('2a1');              // ==> true
app.verify('-1.1');              // ==> true
app.verify(parseInt('08'));      // ==> true
app.verify(parseFloat('08'));    // ==> true
app.verify([0, 1, 2]);           // ==> true
app.verify(null);                // ==> false
app.verify('');                  // ==> false
app.verify('hi');                // ==> false
app.verify(['ax', 'bn', 'cd']);  // ==> false
app.verify(function () { });      // ==> false
// whole
app.whole(123.99999999999) // ==> 123
app.whole(-1.5) // ==> -1
// wholea
app.wholea(123.99999999999) // ==> 123
app.wholea(-1.3) // ==> -2
// wholes
app.wholes(0.1) // ==> 1
app.wholes(-1.5) // ==> -1
app.wholes(-0.9) // ==> -0
// table
new app.Table(15, 123, 43).add() // ==> 181
new app.Table(83, 3).divide() // ==> 27.666666666666668
new app.Table(83, 3).subtract() // ==> -5431
new app.Table(2, 623, 91, 3).multiply() // ==> 340158
