"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.verify = void 0;
function verify(value) {
    if (!value)
        console.trace('lack of arguments.');
    if (typeof value === 'number') {
        return value - value === 0;
    }
    if (typeof value === 'string' && `${value}`.trim() !== '') {
        return Number.isFinite ? Number.isFinite(+value) : isFinite(+value);
    }
    if (Array.isArray(value)) {
        for (var x of value) {
            if (typeof x === "number")
                return true;
        }
    }
    return false;
}
exports.verify = verify;
//# sourceMappingURL=verify.js.map