"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Table = void 0;
class Table {
    constructor(...numbers) {
        if (!numbers)
            throw new Error('No arguments were entered.');
        if (!numbers[1])
            throw new Error("More than two numbers must be entered.");
        this.numbers = numbers;
    }
    add() {
        var res = 0;
        for (var n of this.numbers) {
            res = parseInt(`${res}`) + parseInt(n);
        }
        ;
        return parseInt(`${res}`);
    }
    multiply() {
        var res = 1;
        for (var n of this.numbers) {
            res = parseInt(`${res}`) * parseInt(n);
        }
        ;
        return parseInt(`${res}`);
    }
    subtract() {
        if (this.numbers.length > 2)
            return console.trace('The arguments should not be more than two.');
        return this.numbers[0] - this.numbers[1];
    }
    divide() {
        if (this.numbers.length > 2)
            return console.trace('The arguments should not be more than two.');
        return this.numbers[0] / this.numbers[1];
    }
}
exports.Table = Table;
//# sourceMappingURL=tableClass.js.map